# $Revision: 1.22 $, $Date: 2010/02/22 11:03:47 $
# TODO
# - daemon fails (delays) to startup if the configured target imap server is down
Summary:	Imapproxy Daemon
Summary(pl.UTF-8):	Serwer proxy dla protokołu IMAP
Name:		up-imapproxy
Version:	1.2.7
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.imapproxy.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	036b487a9a6d2b955f81eb80bd9faee0
Source1:	%{name}.init
Patch0:		%{name}-config.patch
URL:		http://www.imapproxy.org/
BuildRequires:	automake
BuildRequires:	libwrap-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	rc-scripts
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	libwrap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a connection caching imapproxy daemon for proxied imap
connections.

%description -l pl.UTF-8
Jest to buforujący połączenia serwer proxy dla protokołu IMAP,
pośredniczący w połączeniach IMAP.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make} \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_sbindir}}
install -p bin/* $RPM_BUILD_ROOT%{_sbindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/imapproxy
cp -a scripts/imapproxy.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 150 imapproxy
%useradd -u 150 -c "IMAP proxy daemon" -g imapproxy imapproxy

%post
/sbin/chkconfig --add imapproxy
%service imapproxy restart "UP-IMAP Proxy"

%preun
if [ "$1" = "0" ]; then
	%service imapproxy stop
	/sbin/chkconfig --del imapproxy
fi

%postun
if [ "$1" = "0" ]; then
	%userremove imapproxy
	%groupremove imapproxy
fi

%files
%defattr(644,root,root,755)
%doc README README.ssl ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imapproxy.conf
%attr(754,root,root) /etc/rc.d/init.d/imapproxy
%attr(755,root,root) %{_sbindir}/in.imapproxyd
%attr(755,root,root) %{_sbindir}/pimpstat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: up-imapproxy.spec,v $
Revision 1.22  2010/02/22 11:03:47  glen
- up to 1.2.7

Revision 1.21  2009/05/24 12:51:22  glen
- release 2

Revision 1.20  2008/08/28 09:03:50  glen
- up to 1.2.6, fixes serious security hole. assume CVE patch applied

Revision 1.19  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.17  2006/09/08 18:03:54  glen
- rel 5 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.16  2006/04/15 12:55:04  glen
- rel 4

Revision 1.15  2006/03/29 10:53:53  glen
- fix amd64 build

Revision 1.14  2006/03/29 10:16:43  glen
- rel 2 (fixed initscript)

Revision 1.13  2006/03/20 14:16:40  glen
- updated to 1.2.4
- add patch for CVE-2005-2661
- run as imapproxy uid/gid
- fix broken upgrade
- add service restart on upgrade

Revision 1.12  2006/03/20 13:42:14  qboosh
- added security todo

Revision 1.11  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.10  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/03/28 23:02:46  matowy
- up to 1.2.3 (not need DoS_fix.patch, already in sources)
- working for me since 1.2.1, rel 1

Revision 1.8  2005/02/10 16:51:26  darekr
- cosmetics
- fixed perms for init script

Revision 1.7  2004/12/10 18:48:44  krolik
- security update (DoS preventing patch)
- rel++

Revision 1.6  2004/10/31 14:59:28  paladine
- spaces->tabs

Revision 1.5  2004/09/25 07:42:43  gozda
- Updated to 1.2.2 (by Mateusz Murawski).
- Little cleanups, added README.ssl to doc.

Revision 1.4  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.3  2004/01/04 10:46:33  misi3k
- bye bye curses patch

Revision 1.2  2003/12/23 08:45:01  ankry
- pl, md5, cosmetics

Revision 1.1  2003/12/23 06:49:28  misi3k
- new, NFY
